# ex:ts=8
# New ports collection makefile for:	mp3asm
# Date created:			Jul 20, 2001
# Whom:				ijliao
#
# $FreeBSD: ports/audio/mp3asm/Makefile,v 1.7 2003/02/20 16:49:45 knu Exp $
#

PORTNAME=	mp3asm
PORTVERSION=	0.1.3.1
CATEGORIES=	audio
MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
MASTER_SITE_SUBDIR=	${PORTNAME}
DISTNAME=	${PORTNAME}-${PORTVERSION:R}-${PORTVERSION:E}

MAINTAINER=	ports@FreeBSD.org
COMMENT=	MP3 frame level editor

WRKSRC=		${WRKDIR}/${PORTNAME}-0.1

USE_BZIP2=	yes
USE_REINPLACE=	yes
USE_GMAKE=	yes
GNU_CONFIGURE=	yes

post-extract:
	@${RM} ${WRKSRC}/config.cache

post-patch:
	@${REINPLACE_CMD} -e \
		's|^CFLAGS=|#CFLAGS=|g' ${WRKSRC}/configure
	@${REINPLACE_CMD} -e \
		's|getprogname|_getprogname|g' ${WRKSRC}/src/mp3asm.c

post-install:
.if !defined(NOPORTDOCS)
	@${MKDIR} ${DOCSDIR}
.for file in Changelog README
	${INSTALL_DATA} ${WRKSRC}/${file} ${DOCSDIR}
.endfor
.endif

.include <bsd.port.mk>
